Bug 596965 - Bugzilla should log activity when updating products components flags etc. using the admin interface
Bugzilla should log activity when updating products components flags etc. usi...
Status: CLOSED UPSTREAM
Product: Bugzilla
Classification: Community
Component: Administration (Show other bugs)
3.6
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-27 16:17 EDT by David Lawrence
Modified: 2013-06-23 22:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-09 20:38:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Lawrence 2010-05-27 16:17:00 EDT
Description of problem:
Currently when a user's permissions are updated we record the changes in profiles_activity but we do not not have a similar logging function for other admin tasks. It would be nice to track when people add/edit/remove components, products, flags, etc. so we can better audit how changes were made if a problem occurs.
Comment 2 Simon Green 2012-05-09 20:38:01 EDT
The audit_log table in Bugzilla 4.2 records all changes (via the Bugzilla::Object package). Nothing to view it at this stage though.

  -- simon

Note You need to log in before you can comment on or make changes to this bug.